VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1230
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   2385
   LinkTopic       =   "Form1"
   ScaleHeight     =   1230
   ScaleWidth      =   2385
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Initialize"
      Height          =   735
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
'   Function:  To show how to use the Comm Port API
'
'   Author:  Karl Riehl
'
'   Date:  May 2, 2005
'
'   Project:  2005 Senior Capstone - Comm Port API
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Dim Calc(12) As Byte
Dim IE(12) As Byte
Dim arr(12) As Byte
Dim Test(12) As Byte
Dim ext(12) As Byte
Dim han As Long


Private Sub Command1_Click()

    ' Hids initilization button
    Command1.Visible = False

    ' Inputs the Exit Button
    MsgBox "Please press the exit button"
    success = kr_Read(han, ext(0), 12)
    
    ' Inputs the Calculator Button
    MsgBox "Please set button for opening the calculator"
    success = kr_Read(han, Calc(0), 12)
    
    ' Inputs the Internet Explorer button
    MsgBox "Please set button for opening Internet Explorer"
    success = kr_Read(han, IE(0), 12)
    
    MsgBox "All set, please enter key when ready"
    
    ' Set to true when exit button is pressed
    Dim done As Boolean
    done = False
    
    
    While (Not done)
        
        success = kr_Read(han, Test(0), 12)
        
        ' Opens Calculator
        If ArrayTest(Calc, Test, 12) Then
            success = Shell("C:\WINDOWS\system32\calc.exe", vbMaximizedFocus)
        ' Opens Internet Explorer
        ElseIf ArrayTest(IE, Test, 12) Then
            success = Shell("C:\Program Files\Internet Explorer\iexplore.exe", vbMaximizedFocus)
        ' Exit button pressed
        ElseIf ArrayTest(ext, Test, 12) Then
            done = True
            MsgBox "Done with configuration"
        ' Button not found
        Else
            MsgBox "Bad Button"
        End If
    
    Wend
    
    ' Can re-initialize again
    Command1.Visible = True
           
End Sub

Private Function ArrayTest(Array1() As Byte, Array2() As Byte, Num As Integer)
    Dim Test As Boolean
    Test = True
    
    ' Checks to see if arrays are equal
    For i = 0 To Num
        ' Sets to false if difference at specific spot
        If Not Array1(i) = Array2(i) Then
            Test = False
        End If
    Next
    
    ' Returns Result
    ArrayTest = Test
End Function

Private Sub Form_Load()
    
    Dim success As Integer
    Dim var As Variant
    
    ' Opens port
    han = kr_OpenPort("COM1")
    
    ' Proceeds if valid handle
    If han Then
        ' Initilizes for Irman Infrared Port
        arr(0) = Asc("I")
        success = kr_Write(han, arr(0), 1)
        
        arr(0) = Asc("R")
        success = kr_Write(han, arr(0), 1)
        
        success = kr_Read(han, arr(0), 2)
    Else
        MsgBox "Port Opened Incorrectly"
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' Closes port when window closes
    kr_ClosePort (han)
End Sub
